Subject: Re: cleaning
From: "LLPS -Michael B" <[email-masked]>
To: <[email-masked]>
Date: Thu, 10 May 2012 11:31:06 -0400

Hi Kathy,
I have the check for you at my desk.  Please find me when you come so I can get it for you for and we can touch base.
Thank you,
Michael B
LLPS

From: [email-masked] 
Sent: Wednesday, May 09, 2012 7:35 PM
To: [email-masked] 
Cc: [email-masked] 
Subject: cleaning

Amber and Mike, 

We are going on a vacation/helping my son move to Florida, so I will not be cleaning 12th or the 19th.

Amber if ok, can I stop and get my check for last week Thursday or Friday morning?

Email my work too [email-masked]
Thanks
Kathy